


Supplementary Code
==================

We provide a script to evaluate our best model (SoftsplatLite + DTM + RRLD data).  Note that this requires a Linux machine with a graphics card, sudo Docker installation, Make, and approximately 70GB of disk space.  Please follow the following steps to set up the environment:

1) Please download the ATD12k dataset from [AnimeInterp](https://github.com/lisiyao21/AnimeInterp) (42.7GB).

2) Please follow the instructions from [AnimeInterp](https://github.com/lisiyao21/AnimeInterp) to precompute the flow fields as pickles (approx. 15.4GB for test set only).

3) Please unzip and place the previous files such that they have the following file structure:

        data/atd12k/
            raw/
                test_2k_540p/  # raw image data from AnimeInterp repo
                    Disney_ ...
                    Japan_ ...
            preprocessed/
                rfr_540p/  # precomputed flow pickles
                    test/
                        Disney_ ...
                        Japan_ ...

4) Please change `./env/machine_config.bashrc` with the appropriate absolute path to this `./code` folder.

5) To build the Docker environment and run the evaluation script, simply run `make`.

6) The script should print outputs matching the last row of Table 1 of our main paper.


Note: While our SoftsplatLite code contains a synthesis network capable of supporting a full GridNet, we set the depth to one on line `./models.py:292`, making it equivalent to a U-Net as described in our paper.

Note: This code was tested on Ubuntu 20.04 with a Titan V.  Since we use a custom CuPy implementation of the distance transform for chamfer distance calculation, GPUs with lower cc (compute capability) may need to switch the block size on line `./evaluate.py:31` to 512.



